# For Macrobond API

.pkg.env <- new.env()
.pkg.env$MacrobondConnection <- NULL

Macrobond <- function()
{
	if (is.null(.pkg.env$MacrobondConnection))
	{
		conn = COMCreate("Macrobond.Connection")
		.pkg.env$MacrobondConnection <- new("MacrobondDB", connection = conn, db = conn[["Database"]], version = {v <- conn[["Version"]]; names(v) <- c("Major", "Minor", "Revision"); v})
	}

	.pkg.env$MacrobondConnection
}

.onDetach <- function(libpath)
{
	if (!is.null(.pkg.env$MacrobondConnection))
		.pkg.env$MacrobondConnection@conn$Close();
	.pkg.env$MacrobondConnection <- NULL;
}

# For RDCOMClient

.First.lib <-
function(lib, pkg)
{
	library.dynam("MacrobondAPI", pkg, lib)
	.COMInit()
}

.onLoad <-
function(lib, pkg)
{
	library(methods)
	library.dynam("MacrobondAPI", pkg, lib)
	.COMInit()
}
