\name{CalendarDateMode}
\alias{CalendarDateMode}
\docType{data}
\title{
Calendar date mode enum values
}
\description{
  A list of enum values that determines how to treat start and end dates when downloading a set of timeseries
}

\format{
The list contains named objects of type \code{\linkS4class{CalendarDateModeClass}}.}

\details{
The calendar date mode is specified when making a unified series request and is used for the stat and end dates properties of \code{\linkS4class{SeriesRequest}}.
  \describe{
    \item{DataInAnySeries}{Use the first or last time period where there is valid data in any series.}
    \item{DataInAllSeries}{Use the first or last time period where there is valid data in all series.}
	 }
}

\seealso{
\code{\linkS4class{SeriesRequest}}
\code{\link{setEndDateMode}},
\code{\link{getEndDateMode}},
\code{\link{setStartDateMode}},
\code{\link{getStartDateMode}},
\code{\link{getStartDateMode}},
}

\examples{
seriesRequest <- CreateUnifiedTimeSeriesRequest()
setStartDateMode(seriesRequest, CalendarDateMode[["DataInAllSeries"]])	# Set the start to the first point where data is available in all series
addSeries(seriesRequest, "usgdp")
addSeries(seriesRequest, "uscpi")
twoSeries <- FetchTimeSeries(seriesRequest)
}
