\name{CalendarMergeMode}
\alias{CalendarMergeMode}
\docType{data}
\title{
Calendar merge mode enum values
}

\description{
A list of named values that determines how calendars should be merged when downloading a set of timeseries.
}

\format{
	The list contains named objects of type \code{\linkS4class{CalendarMergeModeClass}}.
}

\details{
The calendar merge mode is specified when making a unified series request and is a property of \code{\linkS4class{SeriesRequest}}.
  \describe{
    \item{FullCalendar}{Use all the time periods as specified by the frequency and weekdays.}
    \item{AvailableInAll}{Use the time periods that are available in all series.}
    \item{AvailableInAny}{Use the time periods that are available in any series.}
	 }
}

\seealso{
\code{\linkS4class{SeriesRequest}},
\code{\link{setCalendarMergeMode}},
\code{\link{getCalendarMergeMode}}
	}

\examples{
seriesRequest <- CreateUnifiedTimeSeriesRequest()
setCalendarMergeMode(seriesRequest, CalendarMergeMode[["FullCalendar"]])	# All holidays will always be included as missing values instead of being skipped in the calendar.
addSeries(seriesRequest, "eur")
eur <- FetchTimeSeries(seriesRequest)
}


