\name{CreateDerivedMetadata}
\alias{CreateDerivedMetadata}

\title{
Create a new derived metadata object
}

\description{
Create a new \code{\linkS4class{Metadata}} object that inherits all properties from another object.
The content can be changed until it is used in a series.
After the metadata object is populated, it is usually passed to \code{\link{CreateTimeSeriesObject}}.
}

\usage{
CreateDerivedMetadata(metadata)
}

\arguments{
  \item{metadata}{
	A \code{\linkS4class{Metadata}} object to inherit from.
  }
}

\seealso{
\code{\link{CreateEmptyMetadata}},
\code{\linkS4class{Metadata}}
}

\examples{
	metaBase <- CreateEmptyMetadata()
	addMetadataValue(metaBase, "Currency", "eur")

	metaUs <- CreateDerivedMetadata(metaBase)
	addMetadataValue(metaUs, "Region", "us")
	
	metaGb <- CreateDerivedMetadata(metaBase)
	addMetadataValue(metaGb, "Region", "gb")
}
