\name{CreateEmptyMetadata}
\alias{CreateEmptyMetadata}
\title{
	Create an empty set of metadata
}

\description{
Create a new empty \code{\linkS4class{Metadata}} object.
The content can be changed until it is used in a series.
After the metadata object is populated, it is usually passed to \code{\link{CreateTimeSeriesObject}}.
}

\usage{
CreateEmptyMetadata()
}

\seealso{
\code{\link{CreateDerivedMetadata}},
\code{\link{CreateTimeSeriesObject}},
\code{\linkS4class{Metadata}}
}
\examples{
	meta <- CreateEmptyMetadata()
	addMetadataValue(meta, "Currency", "usd")
	seriesNew = CreateTimeSeriesObject("ih:mb:priv:s1", "My forecast", "us", "Forecasts", TimeSeriesFrequency[["Monthly"]], as.Date("1990-01-01"), c(12.2, 12.7, 12.8, 13.0), metadata = meta)
	UploadOneOrMoreTimeSeries(seriesNew)
}
