\name{CreateTimeSeriesObjectWithForecastFlags}
\alias{CreateTimeSeriesObjectWithForecastFlags}
%- Also NEED an '\alias' for EACH other topic documented here.
\title{
	Create a timeseries object, with forecast flags
}
\description{
	Create a \code{\linkS4class{TimeSeries}} object with forecast flags that can be uploaded to the server using the \code{\link{UploadOneOrMoreTimeSeries}} method.
}
\usage{
CreateTimeSeriesObjectWithForecastFlags(name, description, region, category, frequency, startDateOrDates, values, forecastFlags, dayMask = TimeSeriesWeekdays[["MondayToFriday"]], metadata = CreateEmptyMetadata())
}

\arguments{
  \item{name}{
The name of the time seires. This must start with one of the prefixes "ih:mb:priv:", "ih:mb:com:", "ih:mb:dept:" or "ih:mb:lib:" and followed by a name that starts with a letter (a-z) and is followed by letters and digits.
}

\item{description}{
A single line of text that describes the time series. This will, for instance, be used as the default title in charts.
}

\item{region}{
A region code based on the ISO 3166 standard. There is a list of supported codes here: \href{https://www.macrobond.com/go/regionList}{List of region codes}.
}

\item{category}{
The category of the series. This is used to group the series when browsing the database.
}

\item{frequency}{
A value or name from the list \code{\link{TimeSeriesFrequency}}.
}

\item{startDateOrDates}{
A single date, which will be used as the start date, or a list with one date for each observation.
}

\item{values}{
A vector of values.
}

\item{forecastFlags}{
A vector of logical values. It must have the same length as the \code{values} vector.
}

\item{dayMask}{
Optionally a value or name from the list \code{\link{TimeSeriesWeekdays}} to be used for daily time series. The default value is "MondayToFriday".
}
  \item{metadata}{
Optionally a \code{\linkS4class{Metadata}} object.
}
}

\value{
A object of type \code{\linkS4class{TimeSeries}} is returned.
}

\seealso{
	\code{\link{CreateTimeSeriesObject}},
	\code{\linkS4class{TimeSeries}},
	\code{\link{UploadOneOrMoreTimeSeries}},
	\code{\link{getForecastFlags}}
}

\examples{
	seriesNew = CreateTimeSeriesObjectWithForecastFlags("ih:mb:priv:s1", "My forecast", "us", "Forecasts", "Monthly", as.Date("1990-01-01"), c(12.2, 12.7, 12.8, 13.0), c(FALSE, FALSE, FALSE, TRUE))
	UploadOneOrMoreTimeSeries(seriesNew)
}
