\name{CreateUnifiedTimeSeriesRequest}
\alias{CreateUnifiedTimeSeriesRequest}
\title{
	Create a unified series request
}
\description{
	Create a request of one or more series where the resulting time series will be converted to a common length and calendar.
	You can specify frequency, currency, date range, missing value and frequency conversion methods.
	You add series to this object by calling \code{\link{addSeries}} and you then pass this object to \code{\link{FetchTimeSeries}} in order to download the series.
}
\usage{
CreateUnifiedTimeSeriesRequest()
}
\value{
	An object of type \code{\linkS4class{SeriesRequest}}.
}

\seealso{
	\code{\link{addSeries}}
	\code{\link{setFrequency}}
	\code{\link{setWeekdays}}
	\code{\link{setCurrency}}
	\code{\link{setCalendarMergeMode}}
	\code{\link{setStartDate}}
	\code{\link{setStartDateMode}}
	\code{\link{setEndDate}}
	\code{\link{setEndDateMode}}
	\code{\link{FetchTimeSeries}}
}

\examples{
seriesRequest <- CreateUnifiedTimeSeriesRequest()
setFrequency(seriesRequest, TimeSeriesFrequency[["Monthly"]])
addSeries(seriesRequest, "usgdp")
seriesExpressionCpi <- addSeries(seriesRequest, "uscpi")
setMissingValueMethod(seriesExpressionCpi, TimeSeriesMissingValueMethod[["None"]])
twoSeries <- FetchTimeSeries(seriesRequest)
}
