\name{Entity-class}
\Rdversion{1.1}
\docType{class}
\alias{Entity-class}
\alias{Entity}
\alias{getName}
\alias{getName,Entity-method}
\alias{getPrimaryName}
\alias{getPrimaryName,Entity-method}
\alias{getTitle}
\alias{getTitle,Entity-method}
\alias{getErrorMessage}
\alias{getErrorMessage,Entity-method}
\alias{getIsError}
\alias{getIsError,Entity-method}
\alias{getMetadata}
\alias{getMetadata,Entity-method}
\alias{show,Entity-method}

\title{Entity class}
\description{
	An Entity object represents an entity downloaded from the Macrobond database.
	\code{\linkS4class{TimeSeries}} is a special form of entity and is derived from this class.
}
\section{Objects from the Class}{
	Entity objects are created by the following methods:
	\code{\link{FetchOneEntity}}
	\code{\link{FetchEntities}}
}
\section{Methods}{
  \describe{
    \item{getName}{\code{signature(object = "Entity")}: Get the name of the entity. This will always be the name used in the request. }
    \item{getPrimaryName}{\code{signature(object = "Entity")}: Get the primary name of the entity. This can differ from the name used in the request when that name is a alias or relative reference. }
    \item{getTitle}{\code{signature(series = "Entity")}: Get the title of the entity. }
    \item{getIsError}{\code{signature(series = "Entity")}: TRUE if there was an error downloading this entity. In that case the getErrorMessage method will return an error message. }
    \item{getErrorMessage}{\code{signature(series = "Entity")}: Get an error message text if getIsError is TRUE. }
    \item{getMetadata}{\code{signature(series = "Entity")}: Get a \code{\linkS4class{Metadata}} object for this entity. }
    \item{show}{\code{signature(object = "Entity")}: Show a summary of the entity. }
	 }
}

\seealso{
	\code{\linkS4class{TimeSeries}},
	\code{\link{FetchOneEntity}},
	\code{\link{FetchEntities}}
}
\examples{
usRelease <- FetchOneEntity("rel_usbeana")
show(usRelease)
}
\keyword{classes}
