\name{FetchTimeSeries-methods}
\docType{methods}
\alias{FetchTimeSeries}
\alias{FetchTimeSeries-methods}
\alias{FetchTimeSeries,ANY-method}
\title{Download one or more series from the database}
\description{
Download one or more series from the database.
}

\section{Methods}{
\describe{

\item{\code{signature(request = "ANY")}}{
The name of a series or a list of series names.
}

\item{\code{signature(request = "SeriesRequest")}}{
A list of series names or an object created by calling \code{\link{CreateUnifiedTimeSeriesRequest}}.
}
}}

\value{
	The result is a list of \code{\linkS4class{TimeSeries}} objects in the same order as requested. The elements in the list are named with the names of the series.
}

\seealso{
	\code{\link{FetchOneTimeSeries}}
	\code{\link{CreateUnifiedTimeSeriesRequest}}
}

\examples{
# Get the series for US GDP and CPI and plot the GDP series
seriesUs <- FetchTimeSeries(c("usgdp", "uscpi"))
plot(seriesUs$usgdp)
}

\keyword{methods}

