\name{MakeXtsFromUnifiedResponse}
\alias{MakeXtsFromUnifiedResponse}
\title{
	Create an \pkg{xts} object from a set of Macrobond time series
}
\description{
	Create an xts series object from a set of Macrobond time series.
	The list of series should be the result of FetchTimeSeries(seriesRequest) with an object created by \code{\link{CreateUnifiedTimeSeriesRequest}}.
}

\usage{MakeXtsFromUnifiedResponse(listOfSeries)}

\arguments{
  \item{listOfSeries}{
	A list of time series objects with a shared calendar.
  }
}

\value{An \pkg{xts} object with multiple variables. Each variable has the name of the Macrobond series.}

\note{To create an \pkg{xts} object from a single time series, you can also use \code{\link{as.xts.TimeSeries}}.}

\seealso{
\code{\link{CreateUnifiedTimeSeriesRequest}},
\code{\link{FetchTimeSeries}},
\code{\link{as.xts.TimeSeries}},
\code{\link[xts]{xts}}
}

\examples{
seriesRequest <- CreateUnifiedTimeSeriesRequest()
addSeries(seriesRequest, "usgdp")
addSeries(seriesRequest, "uscpi")
twoSeries <- FetchTimeSeries(seriesRequest)
series.xts <- MakeXtsFromUnifiedResponse(twoSeries)
}
