\name{MetadataInformation-class}
\Rdversion{1.1}
\docType{class}
\alias{MetadataInformation}
\alias{MetadataInformation-class}
\alias{getName,MetadataInformation-method}
\alias{getComment}
\alias{getComment,MetadataInformation-method}
\alias{getCanHaveMultipleValues}
\alias{getCanHaveMultipleValues,MetadataInformation-method}
\alias{getCanListValues}
\alias{getCanListValues,MetadataInformation-method}
\alias{getDescription}
\alias{getDescription,MetadataInformation-method}
\alias{getIsDatabaseEntity}
\alias{getIsDatabaseEntity,MetadataInformation-method}
\alias{getUsesValueList}
\alias{getUsesValueList,MetadataInformation-method}
\alias{getValueInformation}
\alias{getValueInformation,MetadataInformation-method}
\alias{getValuePresentationText}
\alias{getValuePresentationText,MetadataInformation-method}
\alias{getValueType}
\alias{getValueType,MetadataInformation-method}
\alias{listAllValues,MetadataInformation-method}
\alias{listAllValues}
\alias{show,MetadataInformation-method}

\title{MetadataInformation class}
\description{
A MetadataInformation object contains information about a type of metadata attribute.
}
\section{Objects from the Class}{
You get an instance of this class by calling \code{\link{GetMetadataInformation}}.
}

\section{Methods}{
  \describe{
    \item{getName}{\code{signature(object = "MetadataInformation")}: The name of the metadata attribute. }
    \item{getDescription}{\code{signature(m = "MetadataInformation")}: A short description of the metadata attribute. }
    \item{getComment}{\code{signature(m = "MetadataInformation")}: An optional comment that further describes the metadata attribute. }
    \item{getValueType}{\code{signature(m = "MetadataInformation")}: Get the type of the value. This can be "character", "logical", "numeric", "integer" or "POSIXlt". }
    \item{getCanHaveMultipleValues}{\code{signature(m = "MetadataInformation")}: If TRUE, then a \code{\linkS4class{Metadata}} object can have several values of this type. }
    \item{getIsDatabaseEntity}{\code{signature(m = "MetadataInformation")}: If TRUE, then this value corresponds to an \code{\linkS4class{Entity}} in the database that can be retrieved by \code{\link{FetchOneEntity}}. }
    \item{getUsesValueList}{\code{signature(m = "MetadataInformation")}: If TRUE, then this type of metadata uses a list of possible values and only values from that list can be used. Information about a specific value can be found by calling \code{getValueInformation}. }
    \item{getCanListValues}{\code{signature(m = "MetadataInformation")}: If TRUE, then the possible values can be listed using the \code{ListAllValues} function. }
    \item{listAllValues}{\code{signature(m = "MetadataInformation")}: Get a list of all possible values for a metadata type that uses a value list. The result is a matrix with the columns "Name", "Description" and "Comment".}
    \item{getValueInformation}{\code{signature(m = "MetadataInformation")}: Get a list with the Name, Description and Comment for a value. }
    \item{getValuePresentationText}{\code{signature(m = "MetadataInformation")}: Format a value as a presentable text. }
    \item{show}{\code{signature(object = "MetadataInformation")}:  Show an overview of the object. }
	 }
}

\seealso{
\code{\link{GetMetadataInformation}},
\code{\linkS4class{Metadata}}
}

\examples{
metaInfo <- GetMetadataInformation("TimeDim")
show(metaInfo)
listAllValues(metaInfo)
}

\keyword{classes}
