\name{TimeSeriesFrequency}
\alias{TimeSeriesFrequency}
\docType{data}
\title{Time series frequency enum values}
\description{
  A list of enum values for possible time series frequencies
}

\format{
The list contains named objects of type \code{\linkS4class{TimeSeriesFrequencyClass}}.}

\details{
The time series frequency is property of the \code{\linkS4class{TimeSeries}} objecs and is also specified in \code{\linkS4class{SeriesRequest}} when making a unified series request.
  \describe{
    \item{Annual}{Once a year}
    \item{SemiAnnual}{Twice a year}
    \item{QuadMonthly}{Once in 4 months}
    \item{Quarterly}{Once in 3 months}
    \item{BiMonthly}{Every second month}
    \item{Monthly}{Once a month}
    \item{Weekly}{Once a week}
    \item{Daily}{Once a day}
    \item{Lowest}{When specified in a series request, this corresponds to the lowest frequency of the series in set}
    \item{Lowest}{When specified in a series request, this corresponds to the highest frequency of the series in the request}
	 }
}

\seealso{
\code{\linkS4class{TimeSeries}}
\code{\linkS4class{SeriesRequest}}
\code{\link{setFrequency}},
\code{\link{getFrequency}},
\code{\link{CreateTimeSeriesObject}},
\code{\link{CreateTimeSeriesObjectWithForecastFlags}}
}

\examples{
seriesRequest <- CreateUnifiedTimeSeriesRequest()
setFrequency(seriesRequest, TimeSeriesFrequency[["Monthly"]])	# You can also use setFrequency(seriesRequest, "Monthly")
addSeries(seriesRequest, "usgdp")
addSeries(seriesRequest, "uscpi")
twoSeries <- FetchTimeSeries(seriesRequest)
}
