\name{TimeSeriesMissingValueMethod}
\alias{TimeSeriesMissingValueMethod}
\docType{data}
\title{Missing value methods}

\description{
A list of named values that determines the method for filling in missing values.
}

\format{
	The list contains named objects of type \code{\linkS4class{TimeSeriesMissingValueMethodClass}}.
}

\details{
The frequency conversion method is used when making a unified series request and is a property of \code{\linkS4class{SeriesExpression}}.
  \describe{
    \item{None}{Do not fill in missing values. They will remain NaN in the value vector.}
    \item{Auto}{Determine the method based on the series classification.}
    \item{PreviousValue}{Use the previous non-missing value.}
    \item{ZeroValue}{Use the value zero.}
    \item{LinearInterpolation}{Do a linear interpolation between the previous and next non-missing values.}
	 }
}

\seealso{
\code{\linkS4class{SeriesExpression}},
\code{\link{setMissingValueMethod}},
\code{\link{getMissingValueMethod}}
	}

\examples{
# Fill in missing values in "spx" with a linear interpolation of surrounding values
seriesRequest <- CreateUnifiedTimeSeriesRequest()
reqExp <- addSeries(seriesRequest, "spx")
setMissingValueMethod(reqExp, TimeSeriesMissingValueMethod[["LinearInterpolation"]])
seriesSpx <- FetchTimeSeries(seriesRequest)[[1]]
}


