\name{TimeSeriesToHigherFrequencyMethod}
\alias{TimeSeriesToHigherFrequencyMethod}
\docType{data}
\title{To higher frequency methods}

\description{
A list of named values that determines the method for converting a series to a higher frequency.
}

\format{
	The list contains named objects of type \code{\linkS4class{TimeSeriesToHigherFrequencyMethodClass}}.
}

\details{
The frequency conversion method is used when making a unified series request and is a property of \code{\linkS4class{SeriesExpression}}.
  \describe{
    \item{Auto}{Determine the method based on the series classification}
    \item{Same}{Use the same value for the whole period}
    \item{Distribute}{Use the first value of the time period}
    \item{PercentageChange}{Distribute the percentage change over the period}
    \item{LinearInterpolation}{Use a linear interpolation of the values from this to the next period}
    \item{Pulse}{Use the value for the first value of the period}
    \item{QuadraticDistribution}{Use quadratic interpolation to distribute the value over the period}
    \item{CubicInterpolation}{Use a cubic interpolation of the values from this to the next period}
	 }
}

\seealso{
\code{\linkS4class{SeriesExpression}},
\code{\link{setToHigherFrequencyMethod}},
\code{\link{getToHigherFrequencyMethod}}
	}

\examples{
# Convert the quarterly series "usgdp" to monthly frequency using linear interpolation
seriesRequest <- CreateUnifiedTimeSeriesRequest()
setFrequency(seriesRequest, "Monthly")
reqExp <- addSeries(seriesRequest, "usgdp")
setToHigherFrequencyMethod(reqExp, TimeSeriesToHigherFrequencyMethod[["LinearInterpolation"]])
seriesGdp <- FetchTimeSeries(seriesRequest)[[1]]
}


