\name{TimeSeriesToLowerFrequencyMethod}
\alias{TimeSeriesToLowerFrequencyMethod}
\docType{data}
\title{To lower frequency methods}

\description{
A list of named values that determines the method for converting a series to a lower frequency.
}

\format{
	The list contains named objects of type \code{\linkS4class{TimeSeriesToLowerFrequencyMethodClass}}.
}

\details{
The frequency conversion method is used when making a unified series request and is a property of \code{\linkS4class{SeriesExpression}}.
  \describe{
    \item{Auto}{Determine the method based on the series classification}
    \item{Last}{Use the time periods that are available in all series.}
    \item{First}{Use the first value of the time period}
    \item{Flow}{Aggregate the values of the time period}
    \item{PercentageChange}{Aggregate the percentage change over the period}
    \item{Highest}{Use the highest value in the time period}
    \item{Lowest}{Use the lowest value of the time period}
    \item{Average}{Use the average value of the period}
	 }
}

\seealso{
\code{\linkS4class{SeriesExpression}},
\code{\link{setToLowerFrequencyMethod}},
\code{\link{getToLowerFrequencyMethod}}
	}

\examples{
# Convert the monthly series "uscpi" to quarterly frequency using the average value of the period
seriesRequest <- CreateUnifiedTimeSeriesRequest()
setFrequency(seriesRequest, "Quarterly")
reqExp <- addSeries(seriesRequest, "uscpi")
setToLowerFrequencyMethod(reqExp, TimeSeriesToLowerFrequencyMethod[["Average"]])
seriesCpi <- FetchTimeSeries(seriesRequest)[[1]]
}


