\name{TimeSeriesWeekdays}
\alias{TimeSeriesWeekdays}
\docType{data}
\title{Time series weekday patterns}

\description{
  A named list of commonly used weekday patterns for daily time series
}

\format{
The list contains named objects of type \code{\linkS4class{TimeSeriesWeekdaysClass}}.}

\details{
The time series frequency is property of the \code{\linkS4class{TimeSeries}} objecs and is also specified in \code{\linkS4class{SeriesRequest}} when making a unified series request.
The values are bit flags of the values for Sunday-Saturday.

  \describe{
    \item{Sunday}{Sunday}
    \item{Monday}{Monday}
    \item{Tuesday}{Tuesday}
    \item{Wednesday}{Wednesday}
    \item{Thursday}{Thursday}
    \item{Friday}{Friday}
    \item{Saturday}{Saturday}
    \item{FullWeek}{Sun+Mon+Tue+Wed+Thu+Fri+Sat}
    \item{MondayToFriday}{Mon+Tue+Wed+Thu+Fri}
    \item{SaturdayToThursday}{Sun+Mon+Tue+Wed+Thu+Sat}
    \item{SaturdayToWednesday}{Sun+Mon+Tue+Wed+Sat}
    \item{SundayToThursday}{Sun+Mon+Tue+Wed+Thu}
    \item{MondayToThursdayAndSaturday}{Sun+Mon+Tue+Wed+Thu+Sat}
	 }
}

\seealso{
\code{\link{TimeSeriesWeekdaysClass}},
\code{\link{setWeekdays}},
\code{\link{getWeekdays}},
\code{\linkS4class{TimeSeries}},
\code{\linkS4class{SeriesRequest}}
}

\examples{
seriesRequest <- CreateUnifiedTimeSeriesRequest()
setWeekdays(seriesRequest, TimeSeriesWeekdays[["FullWeek"]])
addSeries(seriesRequest, "eur")
seriesEur <- FetchTimeSeries(seriesRequest)
}
